<?xml version="1.0" encoding="UTF-8"?>
<part class="form">
  <style>
    <property name="Geometry">{292,131,1015,628}</property>
    <property name="Name">[vdaDSC]</property>
    <property name="Caption">[Totais da Operacao]</property>
    <property name="AlwaysOnTop">.F.</property>
    <property name="AutoCenter">.T.</property>
    <property name="Font">
      <font name="Arial" width="0" height="-13" weight="400"/>
    </property>
    <property name="FormType">[dlgModal]</property>
    <property name="Modal">.F.</property>
    <property name="ScopeVarObj">[Local]</property>
    <property name="lClipper">.T.</property>
    <property name="lExitOnEnter">.T.</property>
    <property name="lExitOnESC">.T.</property>
    <property name="Variables">{modus}</property>
    <property name="FromStyle">[Popup]</property>
    <property name="Clipsiblings">.F.</property>
    <property name="Clipchildren">.F.</property>
    <property name="TitleBar">.F.</property>
    <property name="StyleBorder">[3 - Sizable (Default)]</property>
    <property name="Icon">[]</property>
    <property name="Bitmap">[icon\vdaprd.jpg]</property>
    <property name="NoIcon">.F.</property>
    <property name="SystemMenu">.F.</property>
    <property name="Minimizebox">.F.</property>
    <property name="Maximizebox">.F.</property>
    <property name="AbsAlignment">.T.</property>
    <property name="WindowState">[1 - Normal (Default)]</property>
    <property name="minHeight">-1</property>
    <property name="maxHeight">-1</property>
    <property name="minWidth">-1</property>
    <property name="maxWidth">-1</property>
    <property name="ScrollBars">[0 - None (Default)]</property>
    <property name="DSControl">.F.</property>
  </style>
  <method name="onFormInit">
    <![CDATA[parameters o, p1
modus:=p1]]>
  </method>
  <method name="onDlgInit">
    <![CDATA[if(modus<>NIL,SetWindowText( oDlg:handle, modus ),)
SET(5,1960) 
ocontainer1:DISABLE()
]]>
  </method>
  <method name="onDlgExit">
    <![CDATA[Dlg_BtnOkOuCancel(modus,oDlg,)]]>
  </method>
  <method name="onFormExit">
    <![CDATA[MODUS=="Confirmou_Deletar" ]]>
  </method>
  <part class="status">
    <style>
      <property name="Geometry">{0,604,1015,24}</property>
      <property name="Name">[oStatus1]</property>
      <property name="font">
        <font name="Arial" width="0" height="-13" weight="700"/>
      </property>
    </style>
  </part>
  <part class="editbox">
    <style>
      <property name="Geometry">{635,87,182,37}</property>
      <property name="Name">[ofpercdesc]</property>
      <property name="varName">[m_fpercdesc]</property>
      <property name="BackColor">15987699</property>
      <property name="font">
        <font name="" width="0" height="-27" weight="400"/>
      </property>
      <property name="Justify">[Center]</property>
      <property name="cPicture">[]</property>
      <property name="nMaxLength">5</property>
      <property name="Border">.F.</property>
      <property name="3DLook">.T.</property>
      <property name="TabIndex">1</property>
    </style>
    <method name="onLostFocus">
      <![CDATA[.f.]]>
    </method>
  </part>
  <part class="editbox">
    <style>
      <property name="Geometry">{635,220,373,94}</property>
      <property name="Name">[ofvalpago]</property>
      <property name="varName">[m_fvalpago]</property>
      <property name="BackColor">15987699</property>
      <property name="font">
        <font name="" width="0" height="-27" weight="400"/>
      </property>
      <property name="Justify">[Right]</property>
      <property name="cPicture">[999999.99]</property>
      <property name="nMaxLength">10</property>
      <property name="Border">.F.</property>
      <property name="3DLook">.T.</property>
      <property name="TabIndex">2</property>
    </style>
    <method name="onLostFocus">
      <![CDATA[m_ftroco:=m_fvalpago-m_fValLiquido
OFTROCO:Refresh()
RETURN (M_FVALPAGO>=M_FVAL-M_FDESCONTO+M_MFACRESCIMO).AND.CRIT_FDESCONTO("VPG",M_FVALPAGO)

]]>
    </method>
    <method name="onGetFocus">
      <![CDATA[.t.]]>
    </method>
  </part>
  <part class="buttonex">
    <style>
      <property name="Geometry">{748,488,186,60}</property>
      <property name="Name">[oButtonex1]</property>
      <property name="Id">[IDOK]</property>
      <property name="Caption">
[(If (m_ftipoven=&quot;1&quot;,&quot;Confirma Venda &quot;, &quot;Detalha Pagamento&quot;))]      </property>
      <property name="font">
        <font name="" width="0" height="-13" weight="700"/>
      </property>
      <property name="TabIndex">3</property>
    </style>
  </part>
  <part class="editbox">
    <style>
      <property name="Geometry">{826,87,182,37}</property>
      <property name="Name">[ofdesconto]</property>
      <property name="varName">[m_fdesconto]</property>
      <property name="BackColor">15987699</property>
      <property name="font">
        <font name="" width="0" height="-27" weight="400"/>
      </property>
      <property name="Justify">[Center]</property>
      <property name="cPicture">[999999.99]</property>
      <property name="nMaxLength">10</property>
      <property name="Border">.F.</property>
      <property name="3DLook">.T.</property>
      <property name="TabIndex">4</property>
    </style>
    <method name="onGetFocus">
      <![CDATA[.f.]]>
    </method>
  </part>
  <part class="editbox">
    <style>
      <property name="Geometry">{826,153,182,37}</property>
      <property name="Name">[ofValLiquido]</property>
      <property name="varName">[m_fValLiquido]</property>
      <property name="BackColor">15987699</property>
      <property name="font">
        <font name="" width="0" height="-27" weight="400"/>
      </property>
      <property name="Justify">[Right]</property>
      <property name="cPicture">[999999.99]</property>
      <property name="nMaxLength">10</property>
      <property name="Border">.F.</property>
      <property name="3DLook">.T.</property>
      <property name="TabIndex">6</property>
    </style>
    <method name="onGetFocus">
      <![CDATA[.f.]]>
    </method>
  </part>
  <part class="editbox">
    <style>
      <property name="Geometry">{635,343,373,94}</property>
      <property name="Name">[oftroco]</property>
      <property name="varName">[m_ftroco]</property>
      <property name="font">
        <font name="" width="0" height="-27" weight="400"/>
      </property>
      <property name="Justify">[Right]</property>
      <property name="cPicture">[999999.99]</property>
      <property name="nMaxLength">10</property>
      <property name="Border">.F.</property>
      <property name="3DLook">.T.</property>
      <property name="TabIndex">10</property>
    </style>
    <method name="onGetFocus">
      <![CDATA[.f.]]>
    </method>
  </part>
  <part class="editbox">
    <style>
      <property name="Geometry">{635,153,182,37}</property>
      <property name="Name">[oFacrescimo]</property>
      <property name="varName">[m_Facrescimo]</property>
      <property name="Transparent">.T.</property>
      <property name="font">
        <font name="" width="0" height="-27" weight="400"/>
      </property>
      <property name="nMaxLength">10</property>
      <property name="Border">.F.</property>
      <property name="TabIndex">100</property>
      <property name="TabStop">.F.</property>
    </style>
  </part>
  <part class="label">
    <style>
      <property name="Geometry">{9,3,999,54}</property>
      <property name="Name">[oLabel1]</property>
      <property name="Caption">
[(&quot;Plano Escolhido: &quot;+Str(m_fplanopag,3)+&apos;-&apos;+p_pdesc)]      </property>
      <property name="TextColor">16777215</property>
      <property name="font">
        <font name="" width="0" height="-44" weight="400"/>
      </property>
      <property name="Transparent">.T.</property>
      <property name="TabIndex">101</property>
    </style>
  </part>
  <part class="container">
    <style>
      <property name="Geometry">{5,52,620,402}</property>
      <property name="Name">[oContainer1]</property>
      <property name="Border">.F.</property>
      <property name="TabIndex">0</property>
    </style>
    <part class="listbox">
      <style>
        <property name="Geometry">{10,175,608,264}</property>
        <property name="Name">[oListBox]</property>
        <property name="varName">[vList1]</property>
        <property name="font">
          <font name="" width="0" height="-19" weight="700"/>
        </property>
        <property name="TabIndex">102</property>
      </style>
      <method name="onInit">
        <![CDATA[abra_vb_fpag()
vb_fpag->(DBGOTOP())
DBEVAL( {|| IF(.not. DELETED(), AADD(oListBox:aItems, LTRIM(STR(fplanopag,3))+"."+pdesc), NIL) }) 
vb_fpag->(DBCLOSEAREA())
vListBox:=m_fplanopag
oListBox:Refresh()
]]>
      </method>
    </part>
    <part class="buttonex">
      <style>
        <property name="Geometry">{10,67,150,100}</property>
        <property name="Name">[oButtonex2]</property>
        <property name="Caption">[&amp;1.Dinheiro]</property>
        <property name="font">
          <font name="Times New Roman" width="0" height="-17" weight="700" italic="255"/>
        </property>
        <property name="Bitmap">[icon\vda00pp_dinheiro.jpg]</property>
        <property name="PicturePosition">[1-Center]</property>
        <property name="PictureMargin">8</property>
        <property name="TabIndex">103</property>
      </style>
    </part>
    <part class="buttonex">
      <style>
        <property name="Geometry">{163,67,150,100}</property>
        <property name="Name">[oButtonex3]</property>
        <property name="Caption">[&amp;2.Cheque]</property>
        <property name="font">
          <font name="Times New Roman" width="0" height="-17" weight="700" italic="255"/>
        </property>
        <property name="Bitmap">[icon\vda00pp_cheque.jpg]</property>
        <property name="PicturePosition">[1-Center]</property>
        <property name="PictureMargin">8</property>
        <property name="TabIndex">104</property>
      </style>
    </part>
    <part class="buttonex">
      <style>
        <property name="Geometry">{316,67,150,100}</property>
        <property name="Name">[oButtonex4]</property>
        <property name="Caption">[&amp;3.Cartão]</property>
        <property name="font">
          <font name="Times New Roman" width="0" height="-17" weight="700" italic="255"/>
        </property>
        <property name="Bitmap">[icon\vda00pp_cartoes.jpg]</property>
        <property name="PicturePosition">[1-Center]</property>
        <property name="PictureMargin">8</property>
        <property name="TabIndex">105</property>
      </style>
    </part>
    <part class="buttonex">
      <style>
        <property name="Geometry">{469,67,150,100}</property>
        <property name="Name">[oButtonex5]</property>
        <property name="Caption">[&amp;4.Convênio]</property>
        <property name="font">
          <font name="Times New Roman" width="0" height="-17" weight="700" italic="255"/>
        </property>
        <property name="Bitmap">[icon\vda00pp_convenio.jpg]</property>
        <property name="PicturePosition">[1-Center]</property>
        <property name="PictureMargin">8</property>
        <property name="TabIndex">106</property>
      </style>
    </part>
  </part>
</part>
